<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::pixel_traits&lt; signed char &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1pixel__traits_3_01signed_01char_01_4.html">pixel_traits&lt; signed char &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="structdlib_1_1pixel__traits_3_01signed_01char_01_4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::pixel_traits&lt; signed char &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::pixel_traits&lt; signed char &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structdlib_1_1pixel__traits_3_01signed_01char_01_4.png" usemap="#dlib::pixel_5Ftraits_3C_20signed_20char_20_3E_map" alt=""/>
  <map id="dlib::pixel_5Ftraits_3C_20signed_20char_20_3E_map" name="dlib::pixel_5Ftraits_3C_20signed_20char_20_3E_map">
<area href="structdlib_1_1grayscale__pixel__traits.html" alt="dlib::grayscale_pixel_traits&lt; signed char &gt;" shape="rect" coords="0,0,253,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_structdlib_1_1grayscale__pixel__traits"><td colspan="2" onclick="javascript:toggleInherit('pub_types_structdlib_1_1grayscale__pixel__traits')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="structdlib_1_1grayscale__pixel__traits.html">dlib::grayscale_pixel_traits&lt; signed char &gt;</a></td></tr>
<tr class="memitem:a718d50ca139d8a9eb7b175a0998945e3 inherit pub_types_structdlib_1_1grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a718d50ca139d8a9eb7b175a0998945e3"></a>
typedef signed char&#160;</td><td class="memItemRight" valign="bottom"><b>basic_pixel_type</b></td></tr>
<tr class="separator:a718d50ca139d8a9eb7b175a0998945e3 inherit pub_types_structdlib_1_1grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_structdlib_1_1grayscale__pixel__traits"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_structdlib_1_1grayscale__pixel__traits')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="structdlib_1_1grayscale__pixel__traits.html">dlib::grayscale_pixel_traits&lt; signed char &gt;</a></td></tr>
<tr class="memitem:a516fd9cf746b8756dbc4dd9d756dc245 inherit pub_static_methods_structdlib_1_1grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a516fd9cf746b8756dbc4dd9d756dc245"></a>
static basic_pixel_type&#160;</td><td class="memItemRight" valign="bottom"><b>min</b> ()</td></tr>
<tr class="separator:a516fd9cf746b8756dbc4dd9d756dc245 inherit pub_static_methods_structdlib_1_1grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2783a076fb48861426d0699a37cc8c0f inherit pub_static_methods_structdlib_1_1grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a2783a076fb48861426d0699a37cc8c0f"></a>
static basic_pixel_type&#160;</td><td class="memItemRight" valign="bottom"><b>max</b> ()</td></tr>
<tr class="separator:a2783a076fb48861426d0699a37cc8c0f inherit pub_static_methods_structdlib_1_1grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_structdlib_1_1grayscale__pixel__traits')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="structdlib_1_1grayscale__pixel__traits.html">dlib::grayscale_pixel_traits&lt; signed char &gt;</a></td></tr>
<tr class="memitem:ae1ca1f27ee5ac33dc13b098d55fbad28 inherit pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="ae1ca1f27ee5ac33dc13b098d55fbad28"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>rgb</b></td></tr>
<tr class="separator:ae1ca1f27ee5ac33dc13b098d55fbad28 inherit pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a6aa062e40b5849d9e3becc29c8e898 inherit pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a2a6aa062e40b5849d9e3becc29c8e898"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>rgb_alpha</b></td></tr>
<tr class="separator:a2a6aa062e40b5849d9e3becc29c8e898 inherit pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a741a2bcf1f18844c5c0d47d594c05668 inherit pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a741a2bcf1f18844c5c0d47d594c05668"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>grayscale</b></td></tr>
<tr class="separator:a741a2bcf1f18844c5c0d47d594c05668 inherit pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82b6b7e872250b16aebf7e029a8b8867 inherit pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a82b6b7e872250b16aebf7e029a8b8867"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>hsi</b></td></tr>
<tr class="separator:a82b6b7e872250b16aebf7e029a8b8867 inherit pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dcc500361adf59ad544e6143137df5e inherit pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a8dcc500361adf59ad544e6143137df5e"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>num</b></td></tr>
<tr class="separator:a8dcc500361adf59ad544e6143137df5e inherit pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65b0ab709cee0fcf3d5ef63a7d27802e inherit pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a65b0ab709cee0fcf3d5ef63a7d27802e"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>has_alpha</b></td></tr>
<tr class="separator:a65b0ab709cee0fcf3d5ef63a7d27802e inherit pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41b8e4dae435b50aa3411a8be7488c22 inherit pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td class="memItemLeft" align="right" valign="top"><a id="a41b8e4dae435b50aa3411a8be7488c22"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_unsigned</b></td></tr>
<tr class="separator:a41b8e4dae435b50aa3411a8be7488c22 inherit pub_static_attribs_structdlib_1_1grayscale__pixel__traits"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pixel_8h_source.html">pixel.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
